> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put a multiple tags

> Create or update multiple tag



## OpenAPI

````yaml put /{storeId}/tags
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}/tags:
    put:
      tags:
        - Tag
      summary: Put a multiple tags
      description: Create or update multiple tag
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TagBodyWithId'
                type: object
      responses:
        '201':
          description: >-
            Tags created or update in an array and an array with errors for
            those tags which couldn't be updated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tags:
                    type: array
                    items:
                      $ref: '#/components/schemas/Tag'
                      type: object
                  errors:
                    type: array
                    items:
                      type: string
                      example: Tag with TagId - tag-id-1 is missing name
        '403':
          description: Invalid Api Key
        '422':
          description: Data error
        '500':
          description: Internal Server Error
components:
  schemas:
    TagBodyWithId:
      properties:
        id:
          type: string
          description: ID of the Tag that needs to be put
          example: vegan-id-1
        name:
          type: string
          description: Name to be used for this tag
          example: vegan
        imageUrl:
          type: string
          description: Image that represents this tag
          example: https://images.aasaan.shop/stores/logo/logo_1684500490812.png
    Tag:
      properties:
        id:
          type: string
          description: Unique identifier for the resource that was used to create this tag
          example: vegan-tag-id-1
        name:
          type: string
          description: Name Used for this tag
          example: vegan
        imageUrl:
          type: string
          description: Name Used for this tag
          example: vegan

````